Package org.eclipse.jface.text

# Interface IDocumentAdapterExtension

public interface IDocumentAdapterExtension
Extension interface for `IDocumentAdapter`.

Introduces the concepts of batching a series of document changes into a single styled text content change notification. Batching start when a client calls `stopForwardingDocumentChanges`. After that call this document adapter does not send out styled text content change notifications until `resumeForwardingDocumentChanges` is called. On `resumeForwardingDocumentChanges`, it sends out one styled text content change notification that covers all changes that have been applied to the document since calling `stopForwardingDocumentChanges`.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`resumeForwardingDocumentChanges()`
Resumes forwarding document changes to the styled text.
`void`
`stopForwardingDocumentChanges()`
Stops forwarding document changes to the styled text.

## Method Details

### stopForwardingDocumentChanges

void stopForwardingDocumentChanges()
Stops forwarding document changes to the styled text.

### resumeForwardingDocumentChanges

void resumeForwardingDocumentChanges()
Resumes forwarding document changes to the styled text. Also forces the styled text to catch up with all the changes that have been applied since `stopForwardingDocumentChanges` has been called.